Bug 1633399 (CVE-2018-11763) - CVE-2018-11763 httpd: DoS for HTTP/2 connections by continuous SETTINGS frames
Summary: CVE-2018-11763 httpd: DoS for HTTP/2 connections by continuous SETTINGS frames
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-11763
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20180925,repor...
Depends On: 1633400 1633401 1635838
Blocks: 1633402
TreeView+ depends on / blocked
 
Reported: 2018-09-26 21:37 UTC by Pedro Sampaio
Modified: 2019-06-14 09:05 UTC (History)
62 users (show)

Fixed In Version: httpd 2.4.35, mod_http2 1.11.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:38:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3558 None None None 2018-11-13 08:37:12 UTC
Red Hat Product Errata RHSA-2019:0366 None None None 2019-02-18 16:55:54 UTC
Red Hat Product Errata RHSA-2019:0367 None None None 2019-02-18 16:58:35 UTC

Description Pedro Sampaio 2018-09-26 21:37:20 UTC
In Apache HTTP Server 2.4.17 to 2.4.34, by sending continuous, large SETTINGS frames a client can occupy a connection, server thread and CPU time without any connection timeout coming to effect. This affects only HTTP/2 connections. A possible mitigation is to not enable the h2 protocol.

References:

https://httpd.apache.org/security/vulnerabilities_24.html

Comment 1 Pedro Sampaio 2018-09-26 21:38:18 UTC
Created httpd tracking bugs for this issue:

Affects: fedora-all [bug 1633400]

Comment 3 Tomas Hoger 2018-09-27 09:18:40 UTC
The httpd packages in Red Hat Enterprise Linux 7 and earlier do not include support for HTTP/2 and hence are not affected by this issue.

Comment 5 Joe Orton 2018-09-27 10:32:48 UTC
This issue is fixed upstream in httpd in the following commits:

trunk: https://svn.apache.org/r1840010
2.4.x: https://svn.apache.org/r1840757

Which matches the change made downstream in mod_h2 on github:

https://github.com/icing/mod_h2/commit/5e75e5685dd043fe93a5a08a15edd087a43f6968

i.e. this issue is fixed in httpd 2.4.35 and later, and in mod_http2 1.11.0 and later.

Comment 11 errata-xmlrpc 2018-11-13 08:36:51 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2018:3558 https://access.redhat.com/errata/RHSA-2018:3558

Comment 18 errata-xmlrpc 2019-02-18 16:55:52 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Core Services

Via RHSA-2019:0366 https://access.redhat.com/errata/RHSA-2019:0366

Comment 19 errata-xmlrpc 2019-02-18 16:58:33 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 6
  JBoss Core Services on RHEL 7

Via RHSA-2019:0367 https://access.redhat.com/errata/RHSA-2019:0367


Note You need to log in before you can comment on or make changes to this bug.